
QGIS Application - Bug report #7258

GetFeatureInfo request with a FILTER doesn't find anything

2013-03-01 03:36 AM - Emilio Loi

Status: Closed

Priority: Severe/Regression

Assignee: Marco Hugentobler

Category: QGIS Server

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 16279

Description

Any request to WMS using GetFeatureInfo and a simple FILTER (i.e. id=4) makes the server unable to find any object matching the filter.

qgis_mapserv.fcgi?map=/map.qgs&_dc=1362070737035&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetFeatureInfo&LAY

ERS=layer

&QUERY_LAYERS=layer&FEATURE_COUNT=10&INFO_FORMAT=text%2Fxml&SRS=EPSG%3A32633&FILTER=layer%3A%22id%22%20%3D%20%274%27


%22id%22%20%3D%20%274%27

History

#1 - 2013-03-01 03:39 AM - Giovanni Manghi

- Target version set to Version 2.0.0

- Priority changed from Normal to Severe/Regression

- Category changed from Web Services clients/WMS to QGIS Server

it is a regression.

#2 - 2013-03-01 03:48 AM - Matthias Kuhn

Issue #7238 is probably related

#3 - 2013-03-01 05:10 AM - Marco Hugentobler

- Assignee set to Marco Hugentobler

#4 - 2013-03-01 07:15 AM - Marco Hugentobler

- Status changed from Open to Closed

Fixed in commit:a777ce751500fad748e9204149b794b04dab218f

#5 - 2014-08-13 06:00 AM - Roberto Marzocchi

Marco Hugentobler wrote:

Fixed in a777ce751500fad748e9204149b794b04dab218f
But it do not work in actual version. It is possible?

#6 - 2014-08-13 06:32 AM - Roberto Marzocchi

- Status changed from Closed to Reopened

- Target version changed from Version 2.0.0 to Version 2.6

#7 - 2014-08-13 08:34 AM - Roberto Marzocchi

Roberto Marzocchi wrote:

Marco Hugentobler wrote:

Fixed in a777ce751500fad748e9204149b794b04dab218f

But it do not work in actual version. It is possible?

I see from https://github.com/qgis/QGIS/blob/master/src/analysis/CMakeLists.txt that your correction are not updated and we have a problem with a shp

file while using the helloworld.qgs file the GetFeatureInfo works correctly (also saving the project with the QGIS 2.4 version!!)

I really do not understand the problem!

NOT WORKING:

http://localhost/cgi-bin/qgis_mapserv.fcgi?map=/home/roberto/Scrivania/Qgis_server/Borgio_19_8_2013/Qgis/Progetto_borgio.qgs&&_dc=14079

29290321&SERVICE=WMS&VERSION=1.1.1&REQUEST=GetFeatureInfo&LAYERS=Confine_comunale&QUERY_LAYERS=Confine_comunale&FEATURE_COUNT=10&INFO_FORMAT=text/xml&SRS=EPSG:3857&FILTER=Confine_comunale:"COD_COM"+=+'013'


le&FEATURE_COUNT=10&INFO_FORMAT=text/xml&SRS=EPSG:3857&FILTER=Confine_comunale:"COD_COM"+=+'013'

WORKING CORRECTLY:

http://localhost/cgi-bin/qgis_mapserv.fcgi?map=/home/roberto/QGIS-Web-Client-master/projects/helloworld2.qgs&SERVICE=WMS&VERSION=1

.1.1&REQUEST=GetFeatureInfo&LAYERS=Country&QUERY_LAYERS=Country&FEATURE_COUNT=10&INFO_FORMAT=text/xml&SRS=EPSG:4326&FILTER=Country:"name"+=+'africa'


SG:4326&FILTER=Country:"name"+=+'africa'

Both the projects saved with QGIS 2.4, same permission (777), etc.

#8 - 2014-10-03 01:29 PM - Giovanni Manghi

- Status changed from Reopened to Closed

- Resolution set to fixed/implemented

I really do not understand the problem!

I just tested quite extensively (qgis master) and it works. Your problem maybe be one that also puzzles me a lot: if the data is file based (ex: shapefile),

there are locations/paths that for some reason make the layer not working in GetCapabilities. For example in my Linux machine the "Dropbox" folder. But
does not seems a qgis server issue anyway.

#9 - 2016-01-12 05:30 AM - Marc Beiling

- Status changed from Closed to Reopened

- Target version changed from Version 2.6 to Version 2.14

I'm using 2.12.1 and have exactly the mentioned problem. I can only query layer with PostGIS or spatialite as dataprovider. I tried with shapefiles in

different locations and permissions, but it does not work. After I put my shapes in a spatialite it worked.

#10 - 2016-01-31 10:10 AM - Giovanni Manghi

- Status changed from Reopened to Closed

Marc Beiling wrote:

I'm using 2.12.1 and have exactly the mentioned problem. I can only query layer with PostGIS or spatialite as dataprovider. I tried with shapefiles in

different locations and permissions, but it does not work. After I put my shapes in a spatialite it worked.

This should be a different issue, not the same thing as the reported one. Please file a new ticket for it. Thanks!

PS (test master/2.14 before filing the ticket, if was really a bug in 2.12 it is ok for me with shapes on 2.8 it could have been solved already there).
